Subject: Re: [Anima] OMA Lightweight M2M

From: Behcet Sarikaya <[email-masked]>
Date: Wed, 1 Apr 2015 11:52:48 -0500

On Tue, Mar 31, 2015 at 2:58 AM, Hannes Tschofenig
<[email-masked]> wrote:
> Hi Michael,
>
> the 'OMA Lightweight M2M (LWM2M) protocol' is the right link to click on
> (which is listed at
> http://openmobilealliance.org/about-oma/work-program/m2m-enablers/).
>
> There are a few documents including requirements, architecture, etc. but
> the main document to focus on is the technical specification.
>

> If it helps, I can also provide my high-level overview of what the
> specification does.

Yes, please do so.

Regards,

Behcet
>
> Ciao
> Hannes
>
> On 03/30/2015 11:41 PM, Michael Richardson wrote:
>> Hannes Tschofenig <[email-masked]> wrote:
>>     > Since several persons do not seem to be aware of it I wanted to post a
>>     > link to the list:
>>     > http://openmobilealliance.org/about-oma/work-program/m2m-enablers/
>>
>>     > I would be interested to see whether there is overlap between ZeroTouch
>>     > / ANIMA bootstrapping and the OMA work.
>>
>> After some poking around, I get to:
>>       http://openmobilealliance.org/about-oma/work-program/device-management/
>>
>> which has about 20 documents to read.
>> When I picked to first one, I got to:
>>      http://technical.openmobilealliance.org/Technical/technical-information/release-program/current-releases/dm-v1-1-2
>>
>> then I asked for it, and got a copyright notice asking me to type stuff in.
>> then I got to:
>> http://technical.openmobilealliance.org/Technical/Release_Program/docs/DM/V1_1_2-20040113-A/OMA-SyncML-DM-Bootstrap-V1_1_2-20031209-A.pdf
>>
>> which I see is 25 pages of PDF.
>>
>> I wonder if there is a shorter reading list.
>>
>> I think, in this case of this document, "SyncML", it's not applicable because
>> it says:
>>
>>    "e.g. by inserting a SIM, the prerequisites for this process are in place"
>>
>> so, the assumption seems to be that a shared secret (SIM protocol) is
>> available for bootstrap.  I will read further this week, as the OMA
>> LwM2M is something I had wanted to look further into, but I'm really not
>> feeling the love with this organization.
>>
>
>
> _______________________________________________
> Anima mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/anima
>